Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.util
Class XMLTagStack

    java.lang.Object
      org.meshcms.util.XMLTagStack

Direct Known Subclasses:
  XHTMLBuilder.Fragment, XMLFastBuilder

public abstract class XMLTagStack
extends java.lang.Object

Field Summary
`protected boolean` | `newTag`
`protected java.util.Stack` | `tagStack`
`protected java.lang.StringBuffer` | `textBuffer`

Constructor Summary
`XMLTagStack()`

Method Summary
`abstract XMLTagStack` | `addCDATA(java.lang.String textData)`
`abstract XMLTagStack` | `addText(java.lang.String textData)`
`XMLTagStack` | `closeTag()`
`XMLTagStack` | `closeTag(java.lang.String tagName)`
`static void` | `configureTransformer(javax.xml.transform.Transformer t, java.lang.String charset, boolean xhtml)`
`XMLTagStack` | `endCDATABuffer()`
`XMLTagStack` | `endTextBuffer()`
`abstract java.lang.String` | `getCurrentTagName()`
`boolean` | `isNewTag()`
`java.lang.StringBuffer` | `openCDATABuffer()`
`XMLTagStack` | `openTag(java.lang.String tagName)`
`java.lang.StringBuffer` | `openTextBuffer()`
`protected abstract void` | `performCloseTag()`
`abstract XMLTagStack` | `performOpenTag(java.lang.String tagName)`
`abstract XMLTagStack` | `setAttribute(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tagStack

    protected java.util.Stack tagStack

### textBuffer

    protected java.lang.StringBuffer textBuffer

### newTag

    protected boolean newTag

Constructor Detail

### XMLTagStack

    public XMLTagStack()

Method Detail

### addCDATA

    public abstract XMLTagStack addCDATA(java.lang.String textData)

### addText

    public abstract XMLTagStack addText(java.lang.String textData)

### getCurrentTagName

    public abstract java.lang.String getCurrentTagName()

### performOpenTag

    public abstract XMLTagStack performOpenTag(java.lang.String tagName)

### setAttribute

    public abstract XMLTagStack setAttribute(java.lang.String name,
                                             java.lang.String value)

### performCloseTag

    protected abstract void performCloseTag()

### openTag

    public XMLTagStack openTag(java.lang.String tagName)

### closeTag

    public XMLTagStack closeTag()

### closeTag

    public XMLTagStack closeTag(java.lang.String tagName)

### isNewTag

    public boolean isNewTag()

### openTextBuffer

    public java.lang.StringBuffer openTextBuffer()

### endTextBuffer

    public XMLTagStack endTextBuffer()

### openCDATABuffer

    public java.lang.StringBuffer openCDATABuffer()

### endCDATABuffer

    public XMLTagStack endCDATABuffer()

### configureTransformer

    public static void configureTransformer(javax.xml.transform.Transformer t,
                                            java.lang.String charset,
                                            boolean xhtml)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD